## Table of contents

### Functions

- [assignClaims](claimSet.md#assignclaims)
- [createForCollection](claimSet.md#createforcollection)
- [getAllForCollection](claimSet.md#getallforcollection)
- [getAllTags](claimSet.md#getalltags)
- [getAssignedTags](claimSet.md#getassignedtags)
- [getForCollection](claimSet.md#getforcollection)
- [getReport](claimSet.md#getreport)
- [getTagSummary](claimSet.md#gettagsummary)
- [makeClaim](claimSet.md#makeclaim)
- [tagQuery](claimSet.md#tagquery)
- [updateClaimData](claimSet.md#updateclaimdata)
- [updateForCollection](claimSet.md#updateforcollection)

## Functions

### assignClaims

▸ **assignClaims**(`collectionId`, `data`): `Promise`\<`any`\>

Assign claims to a claim set.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |
| `data` | `any` | – The claims data to assign |

#### Returns

`Promise`\<`any`\>

#### Defined in

[api/claimSet.ts:117](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L117)

___

### createForCollection

▸ **createForCollection**(`collectionId`, `params`): `Promise`\<`any`\>

Create a new claim set for a collection.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |
| `params` | `any` | – The claim set creation parameters |

#### Returns

`Promise`\<`any`\>

Promise resolving to the created claim set

#### Defined in

[api/claimSet.ts:85](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L85)

___

### getAllForCollection

▸ **getAllForCollection**(`collectionId`): `Promise`\<`any`[]\>

Get all claim sets for a collection.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |

#### Returns

`Promise`\<`any`[]\>

Promise resolving to an array of claim sets

#### Defined in

[api/claimSet.ts:9](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L9)

___

### getAllTags

▸ **getAllTags**(`collectionId`, `claimSetId`): `Promise`\<`any`[]\>

Get all tags for a claim set.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |
| `claimSetId` | `string` | – The claim set identifier |

#### Returns

`Promise`\<`any`[]\>

Promise resolving to an array of tags

#### Defined in

[api/claimSet.ts:31](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L31)

___

### getAssignedTags

▸ **getAssignedTags**(`collectionId`, `claimSetId`): `Promise`\<`any`\>

Get assigned tags for a claim set.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |
| `claimSetId` | `string` | – The claim set identifier |

#### Returns

`Promise`\<`any`\>

Promise resolving to assigned tags

#### Defined in

[api/claimSet.ts:53](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L53)

___

### getForCollection

▸ **getForCollection**(`collectionId`, `claimSetId`): `Promise`\<`any`\>

Get a specific claim set for a collection.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |
| `claimSetId` | `string` | – The claim set identifier |

#### Returns

`Promise`\<`any`\>

Promise resolving to a claim set object

#### Defined in

[api/claimSet.ts:20](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L20)

___

### getReport

▸ **getReport**(`collectionId`, `claimSetId`): `Promise`\<`any`\>

Get a report for a claim set.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |
| `claimSetId` | `string` | – The claim set identifier |

#### Returns

`Promise`\<`any`\>

Promise resolving to a report object

#### Defined in

[api/claimSet.ts:42](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L42)

___

### getTagSummary

▸ **getTagSummary**(`collectionId`): `Promise`\<`any`\>

Get tag summary for a collection.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |

#### Returns

`Promise`\<`any`\>

Promise resolving to tag summary

#### Defined in

[api/claimSet.ts:63](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L63)

___

### makeClaim

▸ **makeClaim**(`collectionId`, `params`): `Promise`\<`any`\>

Make a claim for a claim set.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |
| `params` | `any` | – The claim parameters (must include id) |

#### Returns

`Promise`\<`any`\>

Promise resolving to the claim result

#### Defined in

[api/claimSet.ts:107](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L107)

___

### tagQuery

▸ **tagQuery**(`collectionId`, `data`): `Promise`\<`any`\>

Perform a tag query for a collection.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |
| `data` | `any` | – The query data |

#### Returns

`Promise`\<`any`\>

Promise resolving to query results

#### Defined in

[api/claimSet.ts:74](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L74)

___

### updateClaimData

▸ **updateClaimData**(`collectionId`, `data`): `Promise`\<`any`\>

Update claim data for a collection.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |
| `data` | `any` | – The claim data to update |

#### Returns

`Promise`\<`any`\>

#### Defined in

[api/claimSet.ts:127](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L127)

___

### updateForCollection

▸ **updateForCollection**(`collectionId`, `params`): `Promise`\<`any`\>

Update a claim set for a collection.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `collectionId` | `string` | – The collection identifier |
| `params` | `any` | – The claim set update parameters (must include id) |

#### Returns

`Promise`\<`any`\>

Promise resolving to the updated claim set

#### Defined in

[api/claimSet.ts:96](https://github.com/Prove-Anything/smartlinks/blob/8bce1d744b011875b714e5bdb26df0f0a8805046/src/api/claimSet.ts#L96)
